<script setup lang="ts">
import { onMounted, inject } from 'vue'
const __sdk: any = inject('__sdk')
const onAdd = () => {
  __sdk.VideoManager.BoxVideo.edit.add()
}
onMounted(() => {
  __sdk.Scene.on('loaded', () => {
    __sdk.Scene.Decoration.edit.enterModule()
  })
  __sdk.mount('#scene').render()
})
</script>

<template>
  <div id="tools">
    <button @click="onAdd()">添加视频</button>
  </div>
  <div id="scene"></div>
</template>

<style scoped>
#tools {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1000;
}
#scene {
  width: 100%;
  height: 100vh;
}
</style>
